Index: code/branches/core7/data/levels/4Dtest.oxw
===================================================================
--- code/branches/core7/data/levels/4Dtest.oxw	(revision 10580)
+++ code/branches/core7/data/levels/4Dtest.oxw	(revision 10581)
@@ -16,4 +16,5 @@
 
 <Level
+ plugins=mini4dgame
  gametype=Mini4Dgame
 >
Index: code/branches/core7/data/levels/DodgeRace.oxw
===================================================================
--- code/branches/core7/data/levels/DodgeRace.oxw	(revision 10580)
+++ code/branches/core7/data/levels/DodgeRace.oxw	(revision 10581)
@@ -19,5 +19,8 @@
 ?>
 
-<Level gametype = DodgeRace>
+<Level
+  plugins = dodgerace
+  gametype = DodgeRace
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/core7/data/levels/Invaders.oxw
===================================================================
--- code/branches/core7/data/levels/Invaders.oxw	(revision 10580)
+++ code/branches/core7/data/levels/Invaders.oxw	(revision 10581)
@@ -18,5 +18,8 @@
 ?>
 
-<Level gametype = Invader>
+<Level
+  plugins = invader
+  gametype = Invader
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/core7/data/levels/Spacerace2.oxw
===================================================================
--- code/branches/core7/data/levels/Spacerace2.oxw	(revision 10580)
+++ code/branches/core7/data/levels/Spacerace2.oxw	(revision 10581)
@@ -24,5 +24,6 @@
  name         = "Spacerace2"
  description  = "Just a few tests"
-gametype = SpaceRace
+ plugins = gametypes
+ gametype = SpaceRace
 >
   <templates>
Index: code/branches/core7/data/levels/SurfaceRacePresentation.oxw
===================================================================
--- code/branches/core7/data/levels/SurfaceRacePresentation.oxw	(revision 10580)
+++ code/branches/core7/data/levels/SurfaceRacePresentation.oxw	(revision 10581)
@@ -20,4 +20,5 @@
 
 <Level
+plugins = gametypes
 gametype = SpaceRace
 >
Index: code/branches/core7/data/levels/jump.oxw
===================================================================
--- code/branches/core7/data/levels/jump.oxw	(revision 10580)
+++ code/branches/core7/data/levels/jump.oxw	(revision 10581)
@@ -192,5 +192,8 @@
 </Template>
 
-<Level gametype = "Jump">
+<Level
+ plugins = "jump"
+ gametype = "Jump"
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/core7/data/levels/pong.oxw
===================================================================
--- code/branches/core7/data/levels/pong.oxw	(revision 10580)
+++ code/branches/core7/data/levels/pong.oxw	(revision 10581)
@@ -53,4 +53,5 @@
 
 <Level
+ plugins = "pong"
  gametype = "Pong"
 >
Index: code/branches/core7/data/levels/presentationHS12.oxw
===================================================================
--- code/branches/core7/data/levels/presentationHS12.oxw	(revision 10580)
+++ code/branches/core7/data/levels/presentationHS12.oxw	(revision 10581)
@@ -32,4 +32,5 @@
 
 <Level
+  plugins = gametypes
   gametype = SpaceRace
 >
Index: code/branches/core7/data/levels/spaceRace.oxw
===================================================================
--- code/branches/core7/data/levels/spaceRace.oxw	(revision 10580)
+++ code/branches/core7/data/levels/spaceRace.oxw	(revision 10581)
@@ -18,4 +18,5 @@
 
 <Level
+ plugins = "gametypes"
  gametype = "OldSpaceRace"
 >
Index: code/branches/core7/data/levels/surfaceRace.oxw
===================================================================
--- code/branches/core7/data/levels/surfaceRace.oxw	(revision 10580)
+++ code/branches/core7/data/levels/surfaceRace.oxw	(revision 10581)
@@ -23,4 +23,5 @@
 
 <Level
+  plugins = gametypes
   gametype = SpaceRace
 >
Index: code/branches/core7/data/levels/tetris.oxw
===================================================================
--- code/branches/core7/data/levels/tetris.oxw	(revision 10580)
+++ code/branches/core7/data/levels/tetris.oxw	(revision 10581)
@@ -55,4 +55,5 @@
 
 <Level
+ plugins = "tetris"
  gametype = "Tetris"
 >
Index: code/branches/core7/data/levels/towerDefense.oxw
===================================================================
--- code/branches/core7/data/levels/towerDefense.oxw	(revision 10580)
+++ code/branches/core7/data/levels/towerDefense.oxw	(revision 10581)
@@ -57,5 +57,8 @@
 
 
-<Level gametype = "TowerDefense">
+<Level
+  plugins = "towerdefense"
+  gametype = "TowerDefense"
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/branches/core7/src/modules/dodgerace/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/dodgerace/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/dodgerace/CMakeLists.txt	(revision 10581)
@@ -8,5 +8,5 @@
 
 ORXONOX_ADD_LIBRARY(dodgerace
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/gametypes/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/gametypes/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/gametypes/CMakeLists.txt	(revision 10581)
@@ -10,5 +10,5 @@
 
 ORXONOX_ADD_LIBRARY(gametypes
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   TOLUA_FILES
Index: code/branches/core7/src/modules/invader/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/invader/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/invader/CMakeLists.txt	(revision 10581)
@@ -13,5 +13,5 @@
 
 ORXONOX_ADD_LIBRARY(invader
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/jump/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/jump/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/jump/CMakeLists.txt	(revision 10581)
@@ -24,5 +24,5 @@
 
 ORXONOX_ADD_LIBRARY(jump
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/mini4dgame/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/mini4dgame/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/mini4dgame/CMakeLists.txt	(revision 10581)
@@ -6,5 +6,5 @@
 
 ORXONOX_ADD_LIBRARY(mini4dgame
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/pong/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/pong/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/pong/CMakeLists.txt	(revision 10581)
@@ -12,5 +12,5 @@
 
 ORXONOX_ADD_LIBRARY(pong
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/tetris/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/tetris/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/tetris/CMakeLists.txt	(revision 10581)
@@ -8,5 +8,5 @@
 
 ORXONOX_ADD_LIBRARY(tetris
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
Index: code/branches/core7/src/modules/towerdefense/CMakeLists.txt
===================================================================
--- code/branches/core7/src/modules/towerdefense/CMakeLists.txt	(revision 10580)
+++ code/branches/core7/src/modules/towerdefense/CMakeLists.txt	(revision 10581)
@@ -12,5 +12,5 @@
 
 ORXONOX_ADD_LIBRARY(towerdefense
-  MODULE
+  PLUGIN
   FIND_HEADER_FILES
   LINK_LIBRARIES
